Bug 479021 - Review Request: python-repoze-what-plugins-sql - The repoze.what SQL plugin
Review Request: python-repoze-what-plugins-sql - The repoze.what SQL plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 501576
  Show dependency treegraph
 
Reported: 2009-01-06 10:34 EST by Luke Macken
Modified: 2016-09-19 22:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.0-0.5.rc1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 21:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tcallawa: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2009-01-06 10:34:03 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-repoze-what-plugins-sql.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-repoze-what-plugins-sql-1.0-0.1.a4.r3024.fc10.src.rpm
Description:
This is an adapters and extras plugin for repoze.what.

The SQL plugin makes repoze.what support sources defined in SQLAlchemy-managed
databases by providing one group adapter, one permission adapter and one
utility to configure both in one go (optionally, when the group source and the
permission source have a relationship).

This plugin also defines repoze.what.plugins.quickstart.
Comment 1 Tom "spot" Callaway 2009-05-19 14:56:41 EDT
Please update this to 1.0rc1.
Comment 3 Luke Macken 2009-06-05 17:21:16 EDT
http://lmacken.fedorapeople.org/rpms/python-repoze-what-plugins-sql-1.0-0.3.rc1.fc10.src.rpm
http://lmacken.fedorapeople.org/rpms/python-repoze-what-plugins-sql.spec

* Fri Jun 05 2009 Luke Macken <lmacken@redhat.com> - 1.0-0.3.rc1
- Patch our setup.py to use our own setuptools package
Comment 4 Tom "spot" Callaway 2009-07-02 11:14:17 EDT
Good:

- rpmlint checks return nothing
- package meets naming guidelines
- package meets packaging guidelines
- license (BSD) OK, matches source
- spec file legible, in am. english
- source matches upstream (89fb0bf9da58087dfe8b2bd882c1bfec3a512cf6)
- package compiles on devel (noarch)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED.
Comment 5 Luke Macken 2009-07-10 11:02:50 EDT
New Package CVS Request
=======================
Package Name: python-repoze-what-plugins-sql
Short Description: The repoze.what SQL plugin
Owners: lmacken
Branches: F-10 F-11 EL-5
Comment 6 Tom "spot" Callaway 2009-07-10 11:08:31 EDT
cvs done
Comment 7 Brennan Ashton 2009-07-26 14:49:32 EDT
can this please get pushed into testing
Comment 9 Fedora Update System 2009-08-10 13:24:32 EDT
python-repoze-what-plugins-sql-1.0-0.5.rc1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-repoze-what-plugins-sql-1.0-0.5.rc1.fc11
Comment 10 Fedora Update System 2009-08-11 18:38:45 EDT
python-repoze-what-plugins-sql-1.0-0.5.rc1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-repoze-what-plugins-sql'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8493
Comment 11 Nils Philippsen 2009-09-23 17:33:22 EDT
(In reply to comment #8)
> Waiting for
> https://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-2.fc10  

Just going through some of the TG2 related reviews: both this and https://admin.fedoraproject.org/updates/python-repoze-what-1.0.8-2.fc11 have been in stable for a while, maybe this package can be built and pushed too?

BTW, the spec file BRs python-nose twice.
Comment 12 Fedora Update System 2009-09-29 21:40:06 EDT
python-repoze-what-plugins-sql-1.0-0.5.rc1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.